> ## Documentation Index
> Fetch the complete documentation index at: https://docs.4r.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Domains

> Get list of domains available for URL shortening

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://snip.sa/api/urls/domains/available \
    -H "X-API-Key: your_api_key_here"
  ```

  ```javascript JavaScript theme={null}
  const response = await axios.get(
    'https://snip.sa/api/urls/domains/available',
    {
      headers: {
        'X-API-Key': 'your_api_key_here'
      }
    }
  );
  ```

  ```python Python theme={null}
  response = requests.get(
      'https://snip.sa/api/urls/domains/available',
      headers={'X-API-Key': 'your_api_key_here'}
  )
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "domains": [
        {
          "id": "base",
          "fullDomain": "laghhu.link",
          "domain": "laghhu.link",
          "subdomain": null,
          "isDefault": true,
          "shortUrl": "https://laghhu.link",
          "status": "active",
          "isSystemDomain": true
        },
        {
          "id": "507f1f77bcf86cd799439015",
          "fullDomain": "yourdomain.com",
          "domain": "yourdomain.com",
          "subdomain": null,
          "isDefault": false,
          "shortUrl": "https://yourdomain.com",
          "status": "active",
          "isSystemDomain": false
        }
      ]
    }
  }
  ```
</ResponseExample>
